• Pricing
  • Blog
Log inBook a demo
Add feature to plan POSTAdd price to plan POSTCreate plan POSTArchive plan price DELETEDelete plan DELETEDelete regional prices DELETEGet plan GETList plans GETRemove feature from plan DELETESet default price PUTSet plan regional pricing PUTSet plan visibility PUTUpdate plan feature PATCHUpdate plan price PATCHUpdate plan PATCHUpsert regional prices PUT
System status
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

List plans

List plans with public price IDs and their automatic introductory offer IDs.

GET
/plans

List plans with public price IDs and their automatic introductory offer IDs.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

includePrivate?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/plans"
{  "object": "list",  "data": [    {      "id": "string",      "name": "string",      "code": "string",      "description": "string",      "consumptionModel": "metered",      "isPublic": true,      "isDefault": true,      "isFree": true,      "blockOnExhaustion": true,      "sortOrder": -9007199254740991,      "planGroupId": "string",      "metadata": {        "property1": null,        "property2": null      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "features": [        {          "code": "string",          "name": "string",          "type": "boolean",          "unitName": "string",          "enabled": true,          "includedAmount": -9007199254740991,          "unlimited": true,          "overage": {            "enabled": true,            "model": "per_unit",            "unitPrice": -9007199254740991          },          "regionalPrices": [            {              "currency": "string",              "overageUnitPrice": -9007199254740991,              "autoSynced": true            }          ]        }      ],      "prices": [        {          "id": "string",          "billingInterval": "weekly",          "price": -9007199254740991,          "isDefault": true,          "trialDays": -9007199254740991,          "includedBalance": -9007199254740991,          "includedCredits": -9007199254740991,          "offerId": "string",          "inheritsFromPriceId": "string",          "metadata": {            "property1": null,            "property2": null          },          "marketPrices": [            {              "marketGroupId": "string",              "currency": "string",              "price": -9007199254740991            }          ],          "regionalPrices": [            {              "currency": "string",              "price": -9007199254740991,              "includedBalance": -9007199254740991,              "autoSynced": true            }          ]        }      ],      "exchangeRates": [        {          "currency": "string",          "exchangeRate": 0        }      ],      "object": "plan",      "livemode": true    }  ],  "hasMore": true,  "nextCursor": "string"}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Get plan GET

Get a plan with public price IDs and their automatic introductory offer IDs.

Remove feature from plan DELETE

Detach a feature from a plan.